Package Details: qcustomplot-qt5 2.0.1-1

Git Clone URL: https://aur.archlinux.org/qcustomplot-qt5.git (read-only)
Package Base: qcustomplot-qt5
Description: Plotting library for Qt5
Upstream URL: http://www.qcustomplot.com
Keywords: c++ chart plot qt
Licenses: GPL
Submitter: ant32
Maintainer: akstrfn
Last Packager: akstrfn
Votes: 15
Popularity: 0.263188
First Submitted: 2013-10-28 16:51
Last Updated: 2018-12-21 09:05

Latest Comments

SpotlightKid commented on 2018-12-21 01:41

Can we get this updated, please? Latest version is 2.0.1 which builds fine when I just change pkgver="2.0.1" and pkgrel=1 in the PKGBUILD.

This will be needed for newest version of the polyphone AUR package.

morealaz commented on 2016-10-27 08:15

@fusion809, sorry for being really really late!
the problem is that #include <QObject> must be #include <QtCore/QObject>.
in recent update this problem solved.

fusion809 commented on 2016-07-13 07:42

@morealaz, whenever I try using qcustomplot-qt5 in a C++ file (via `include #qcustomplot.h`) I get the error:

In file included from example.cpp:8:0:
/usr/include/qcustomplot.h:29:19: fatal error: QObject: No such file or directory
#include <QObject>
^
compilation terminated.
Compilation failed.

Missing QObject-related dependency?

morealaz commented on 2016-01-30 10:53

updated to 1.3.2
I also add documentations and examples to package

ant32 commented on 2013-11-08 13:36

updated to 1.1.0
mingw-w64 repo and binaries https://sourceforge.net/p/mingw-w64-archlinux/wiki